DefaultAlgorithmNameFinder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.operator

## Class DefaultAlgorithmNameFinder

- java.lang.Object
- - org.bouncycastle.operator.DefaultAlgorithmNameFinder

- All Implemented Interfaces:
    AlgorithmNameFinder

      public class DefaultAlgorithmNameFinder
      extends java.lang.Object
      implements AlgorithmNameFinder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAlgorithmNameFinder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithmName(org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)` Return a string representation of the passed in AlgorithmIdentifier, based on the OID in the AlgorithmField, with the parameters included where appropriate.
    `java.lang.String` | `getAlgorithmName(org.bouncycastle.asn1.ASN1ObjectIdentifier objectIdentifier)` Return a string representation of the passed in objectIdentifier.
    `boolean` | `hasAlgorithmName(org.bouncycastle.asn1.ASN1ObjectIdentifier objectIdentifier)` Return true if the passed in objectIdentifier has a "human friendly" name associated with it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAlgorithmNameFinder

          public DefaultAlgorithmNameFinder()

  - ### Method Detail

    - #### hasAlgorithmName

          public boolean hasAlgorithmName(org.bouncycastle.asn1.ASN1ObjectIdentifier objectIdentifier)

      Description copied from interface: `AlgorithmNameFinder`
      Return true if the passed in objectIdentifier has a "human friendly" name associated with it.
      Specified by:
        `hasAlgorithmName` in interface `AlgorithmNameFinder`
      Parameters:
        `objectIdentifier` - the OID of interest.
      Returns:
        true if a name lookup exists for the OID, false otherwise.

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName(org.bouncycastle.asn1.ASN1ObjectIdentifier objectIdentifier)

      Description copied from interface: `AlgorithmNameFinder`
      Return a string representation of the passed in objectIdentifier.
      Specified by:
        `getAlgorithmName` in interface `AlgorithmNameFinder`
      Parameters:
        `objectIdentifier` - the OID of interest.
      Returns:
        a "human friendly" representation of the OID, the OID as a string if none available.

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName(org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)

      Description copied from interface: `AlgorithmNameFinder`
      Return a string representation of the passed in AlgorithmIdentifier, based on the OID in the AlgorithmField, with the parameters included where appropriate.
      Specified by:
        `getAlgorithmName` in interface `AlgorithmNameFinder`
      Parameters:
        `algorithmIdentifier` - the AlgorithmIdentifier of interest.
      Returns:
        a "human friendly" representation of the algorithmIdentifier, the identifiers OID as a string if none available.